commit:     6ab7f907e2687bab0295ad09a73260ca5d22b78a
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 12 12:20:29 2021 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Sep 12 12:20:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ab7f907

dev-ml/zarith: VariableScope

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/zarith/zarith-1.12.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-ml/zarith/zarith-1.12.ebuild b/dev-ml/zarith/zarith-1.12.ebuild
index 365b3503fd3..1b285165f7c 100644
--- a/dev-ml/zarith/zarith-1.12.ebuild
+++ b/dev-ml/zarith/zarith-1.12.ebuild
@@ -29,8 +29,10 @@ src_configure() {
        tc-export CC AR
        ./configure \
                -ocamllibdir /usr/$(get_libdir)/ocaml \
-               -installdir "${ED}"/usr/$(get_libdir)/ocaml \
                $(usex mpir "-mpir" "-gmp") || die
+       sed -i \
+               -e 's|$(INSTALLDIR)|$(DESTDIR)$(INSTALLDIR)|g' \
+               project.mak || die
 }
 
 src_compile() {
@@ -48,6 +50,7 @@ src_install() {
        emake \
                HASOCAMLOPT=$(usex ocamlopt yes no) \
                HASDYNLINK=$(usex ocamlopt yes no) \
+               DESTDIR="${ED}" \
                install
 
        dosym zarith/libzarith.a /usr/$(get_libdir)/ocaml/libzarith.a

Reply via email to